package com.njcn.relational.controller;


import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
/**
 * @Author: cdf
 * @CreateTime: 2026-06-28
 * @Description:
 */
@Controller
@Slf4j
public class IndexController {

    @GetMapping("/")
    public String index() {
        log.info("访问根路径，跳转到首页");
        return "forward:/pages/index.html";
    }

    @GetMapping("/index")
    public String indexPage() {
        log.info("访问 /index，跳转到首页");
        return "forward:/pages/index.html";
    }

    @GetMapping("/config")
    public String configPage() {
        return "forward:/pages/config.html";
    }

    @GetMapping("/logs")
    public String logs() {
        return "forward:/pages/logs.html";
    }

    @GetMapping("/taizhang")
    public String taizhang() {
        return "forward:/pages/userLedger.html";
    }

}